### Method

# Gtk ColumnViewSorterget_primary_sort_order

since: 4.10

#### Declaration [src]

    GtkSortType
    gtk_column_view_sorter_get_primary_sort_order (
      GtkColumnViewSorter* self
    )

#### Description [src]

Returns the primary sort order.

The primary sort order determines whether the triangle displayed in the column view header of the primary sort column points upwards or downwards.

If there is no primary sort column, then this function returns `GTK_SORT_ASCENDING`.

Available since: 4.10

Gets property | `Gtk.ColumnViewSorter:primary-sort-order`

#### Return value

Type: `GtkSortType`

The primary sort order.